@import '../../../scss/variables';

$card-width: 450px;
$card-mobile-width: 300px;
$box-shadow-color: rgba(0, 0, 0, 0.7);

.teo {
  &-wallet {
    background: #fff;

    &-card {
      width: $card-width;
      height: $card-width * 9 / 16;
      background: white;
      border-radius: 8px;
      box-shadow: 2px 2px 4px $box-shadow-color;
      cursor: pointer;
      position: relative;
      background-image: radial-gradient(circle at bottom left, white 63%, $primary-color 65%);

      &-info {
        width: 100%;
        height: 60px;
        position: absolute;
        top: 50%;
        left: 0px;
        margin-top: -30px;
        padding: 0px 24px;
      }
      &-owner {
        width: 100%;
        height: 20px;
        position: absolute;
        left: 0px;
        bottom: 24px;
        padding: 0px 24px;
      }

      &:hover {
        box-shadow: 4px 4px 9px $box-shadow-color;
      }
    }

    &-info {
      text-align: right;
      & figure.image {
        margin-left: auto;
        margin-right: 0px;
      }
    }

    &-history {
      &-item {
        display: flex;
        background: white;
        border: 1px solid #ccc;
        border-left: 4px solid red;
        padding: 12px;
        margin: 10px auto 10px 0px;
        border-radius: 8px;
      }

      &-info {
        flex-grow: 1;
        display: flex;
        align-items: flex-start;
        flex-direction: column;
      }

      &-amount {
        font-weight: bolder;
        font-size: 22px;
        display: flex;
        align-items: center;
        justify-content: flex-end;
      }

      & .is {
        &-cell + .is-cell {
          margin-left: 12px;
        }
        &-to {
          color: $red;
          font-weight: bolder;
          width: 40px;
          text-align: center;
        }
        &-in {
          color: green;
          &:before {
            content: '+';
          }
        }
        &-out {
          color: $red;
          &:before {
            content: '-';
          }
        }
      }
    }
  }

  &-tabs {
    & .tab-item {
      & > a {
        text-decoration: none;
        &:hover {
          color: $primary-color;
          border-bottom-color: $red;
        }
      }
      &.is-active {
        background-color: $primary-color;
        & > a {
          color: white;
          border-bottom-color: $red-darker;
        }
      }
    }
  }
}

.is-to {
  color: $red;
  font-weight: bolder;
  width: 40px;
  text-align: center;
  margin-left: 12px;
}

@media (max-width: 768px) {
  .teo-wallet {
    &-card {
      width: $card-mobile-width;
      height: $card-mobile-width * 9 / 16;
      margin: auto;
    }
    &-info {
      text-align: center;
      & figure.image {
        margin-left: auto;
        margin-right: auto;
      }
    }
    &-history {
      &-item {
        margin: 10px auto;
        flex-direction: column;
      }
    }
  }
}

.is-fullwidth {
  width: 100%;
}
